import request from '@/utils/request'

// 查询学生错题流水列表
export function listWrongDetail(query) {
  return request({
    url: '/learn/WrongDetail/list',
    method: 'get',
    params: query
  })
}

// 查询学生错题流水详细
export function getWrongDetail(wrongDetailId) {
  return request({
    url: '/learn/WrongDetail/' + wrongDetailId,
    method: 'get'
  })
}

// 新增学生错题流水
export function addWrongDetail(data) {
  return request({
    url: '/learn/WrongDetail',
    method: 'post',
    data: data
  })
}

// 修改学生错题流水
export function updateWrongDetail(data) {
  return request({
    url: '/learn/WrongDetail',
    method: 'put',
    data: data
  })
}

// 删除学生错题流水
export function delWrongDetail(wrongDetailId) {
  return request({
    url: '/learn/WrongDetail/' + wrongDetailId,
    method: 'delete'
  })
}
